> ## Documentation Index
> Fetch the complete documentation index at: https://zeropath.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get summary statistics



## OpenAPI

````yaml https://zeropath.com/openapi/v1.yaml post /api/v1/stats/summary
openapi: 3.1.0
info:
  title: ZeroPath API
  version: 1.0.0
  description: Public API for ZeroPath
servers:
  - url: https://zeropath.com
    description: Production server
    x-fern-server-name: Production
  - url: https://dev.branch.zeropath.com
    description: Development server
    x-fern-server-name: Development
security:
  - apiTokenId: []
    apiTokenSecret: []
tags:
  - name: Organizations
    description: Operations related to organizations
  - name: Stats
    description: Operations related to stats
  - name: Repositories
    description: Operations related to repositories
  - name: Installations
    description: Operations related to installations
  - name: Issues
    description: Operations related to issues
  - name: SCA
    description: Software Composition Analysis
  - name: Scans
    description: Operations related to scans
  - name: Rules
    description: Operations related to custom security rules
  - name: Referrals
    description: Operations related to referrals
paths:
  /api/v1/stats/summary:
    post:
      tags:
        - Stats
      summary: Get summary statistics
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                organizationId:
                  type: string
                repositoryId:
                  type: string
                scanId:
                  type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SummaryResponse'
components:
  schemas:
    SummaryResponse:
      type: object
      properties:
        scans:
          $ref: '#/components/schemas/ScansSummary'
        issues:
          $ref: '#/components/schemas/IssuesByType'
        issuesByScore:
          $ref: '#/components/schemas/IssuesByScore'
    ScansSummary:
      type: object
      properties:
        fullScans:
          type: number
        prScans:
          type: number
        runningScans:
          type: number
        failedScans:
          type: number
    IssuesByType:
      type: object
      properties:
        open:
          type: number
        patched:
          type: number
        falsePositive:
          type: number
        archived:
          type: number
    IssuesByScore:
      type: object
      properties:
        critical:
          type: number
        high:
          type: number
        medium:
          type: number
        low:
          type: number
        info:
          type: number
  securitySchemes:
    apiTokenId:
      type: apiKey
      in: header
      name: X-ZeroPath-API-Token-Id
      x-fern-header:
        name: apiTokenId
        env: ZEROPATH_API_TOKEN_ID
    apiTokenSecret:
      type: apiKey
      in: header
      name: X-ZeroPath-API-Token-Secret
      x-fern-header:
        name: apiTokenSecret
        env: ZEROPATH_API_TOKEN_SECRET

````